Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface PortComponentRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  PortComponentRefTypeImpl

    public interface PortComponentRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `port-component-refType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`CallPropertyType<PortComponentRefType<T>>` | `callProperty()` Returns the `call-property` element
`java.util.List<CallPropertyType<PortComponentRefType<T>>>` | `getCallPropertyList()` Returns all `call-property` elements
`java.lang.String` | `getConfigFile()` Returns the `config-file` element
`java.lang.String` | `getConfigName()` Returns the `config-name` element
`java.lang.String` | `getPortQname()` Returns the `port-qname` element
`java.lang.String` | `getServiceEndpointInterface()` Returns the `service-endpoint-interface` element
`java.util.List<StubPropertyType<PortComponentRefType<T>>>` | `getStubPropertyList()` Returns all `stub-property` elements
`PortComponentRefType<T>` | `removeAllCallProperty()` Removes all `call-property` elements
`PortComponentRefType<T>` | `removeAllStubProperty()` Removes all `stub-property` elements
`PortComponentRefType<T>` | `removeConfigFile()` Removes the `config-file` element
`PortComponentRefType<T>` | `removeConfigName()` Removes the `config-name` element
`PortComponentRefType<T>` | `removePortQname()` Removes the `port-qname` element
`PortComponentRefType<T>` | `removeServiceEndpointInterface()` Removes the `service-endpoint-interface` element
`PortComponentRefType<T>` | `setConfigFile(java.lang.String configFile)` If not already created, a new `config-file` element with the given value will be created.
`PortComponentRefType<T>` | `setConfigName(java.lang.String configName)` If not already created, a new `config-name` element with the given value will be created.
`PortComponentRefType<T>` | `setPortQname(java.lang.String portQname)` If not already created, a new `port-qname` element with the given value will be created.
`PortComponentRefType<T>` | `setServiceEndpointInterface(java.lang.String serviceEndpointInterface)` If not already created, a new `service-endpoint-interface` element with the given value will be created.
`StubPropertyType<PortComponentRefType<T>>` | `stubProperty()` Returns the `stub-property` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setServiceEndpointInterface

    PortComponentRefType<T> setServiceEndpointInterface(java.lang.String serviceEndpointInterface)

  If not already created, a new `service-endpoint-interface` element with the given value will be created. Otherwise, the existing `service-endpoint-interface` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentRefType`

### removeServiceEndpointInterface

    PortComponentRefType<T> removeServiceEndpointInterface()

  Removes the `service-endpoint-interface` element

  Returns:
    the current instance of `PortComponentRefType`

### getServiceEndpointInterface

    java.lang.String getServiceEndpointInterface()

  Returns the `service-endpoint-interface` element

  Returns:
    the node defined for the element `service-endpoint-interface`

### setPortQname

    PortComponentRefType<T> setPortQname(java.lang.String portQname)

  If not already created, a new `port-qname` element with the given value will be created. Otherwise, the existing `port-qname` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentRefType`

### removePortQname

    PortComponentRefType<T> removePortQname()

  Removes the `port-qname` element

  Returns:
    the current instance of `PortComponentRefType`

### getPortQname

    java.lang.String getPortQname()

  Returns the `port-qname` element

  Returns:
    the node defined for the element `port-qname`

### setConfigName

    PortComponentRefType<T> setConfigName(java.lang.String configName)

  If not already created, a new `config-name` element with the given value will be created. Otherwise, the existing `config-name` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentRefType`

### removeConfigName

    PortComponentRefType<T> removeConfigName()

  Removes the `config-name` element

  Returns:
    the current instance of `PortComponentRefType`

### getConfigName

    java.lang.String getConfigName()

  Returns the `config-name` element

  Returns:
    the node defined for the element `config-name`

### setConfigFile

    PortComponentRefType<T> setConfigFile(java.lang.String configFile)

  If not already created, a new `config-file` element with the given value will be created. Otherwise, the existing `config-file` element will be updated with the given value.

  Returns:
    the current instance of `PortComponentRefType`

### removeConfigFile

    PortComponentRefType<T> removeConfigFile()

  Removes the `config-file` element

  Returns:
    the current instance of `PortComponentRefType`

### getConfigFile

    java.lang.String getConfigFile()

  Returns the `config-file` element

  Returns:
    the node defined for the element `config-file`

### removeAllStubProperty

    PortComponentRefType<T> removeAllStubProperty()

  Removes all `stub-property` elements

  Returns:
    the current instance of `PortComponentRefType`

### stubProperty

    StubPropertyType<PortComponentRefType<T>> stubProperty()

  Returns the `stub-property` element

  Returns:
    the node defined for the element `stub-property`

### getStubPropertyList

    java.util.List<StubPropertyType<PortComponentRefType<T>>> getStubPropertyList()

  Returns all `stub-property` elements

  Returns:
    list of `stub-property`

### removeAllCallProperty

    PortComponentRefType<T> removeAllCallProperty()

  Removes all `call-property` elements

  Returns:
    the current instance of `PortComponentRefType`

### callProperty

    CallPropertyType<PortComponentRefType<T>> callProperty()

  Returns the `call-property` element

  Returns:
    the node defined for the element `call-property`

### getCallPropertyList

    java.util.List<CallPropertyType<PortComponentRefType<T>>> getCallPropertyList()

  Returns all `call-property` elements

  Returns:
    list of `call-property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD